/** @file static__dm_lm.vert
 *  @brief X^eBbNbVifBq[Y}bv+Cg}bvj
 *
 *  @author yasufuku
 *  @date 2011/02
 *  @version 0.10
 *
 *  Copyright(C) 2011 Kensuke Yasufuku
 */
#version 130

uniform sampler2D DiffuseMap;
uniform sampler2D LightMap;

in  vec2 TexCoord[2];
out vec4 Color;

void main() {
     vec3 c1 = vec3( texture( DiffuseMap,TexCoord[0] ) );
     vec3 c2 = vec3( texture( LightMap, TexCoord[1] ) );
     Color.rgb  = c1*c2;
     //Color.rgb = Color.rgb;
     Color.a = 1.0;
}
