/** @file static__phong.vert
 *  @brief X^eBbNbViPhongˁj
 *
 *  @author yasufuku
 *  @date 2011/02
 *  @version 0.10
 *
 *  Copyright(C) 2011 Kensuke Yasufuku
 */
#version 130

uniform mat4 MVPMatrix;
uniform mat4 WorldMatrix;

in  vec4 Position;
in  vec3 Normal;

out vec3 WorldPos;
out vec3 WorldNormal;

void main() {
     gl_Position     = MVPMatrix * Position;
     WorldPos    = vec3(WorldMatrix * Position);
     WorldNormal = mat3(WorldMatrix) * Normal;
}
